Package com.sap.ai.sdk.core.model

# Class BckndResourceGetResourcePlansValue

java.lang.Object
com.sap.ai.sdk.core.model.BckndResourceGetResourcePlansValue

public class BckndResourceGetResourcePlansValue extends Object
BckndResourceGetResourcePlansValue

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `BckndResourceGetResourcePlansValue.Builder`
  Builder helper class.
  `static interface`
  `BckndResourceGetResourcePlansValue.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndResourceGetResourcePlansValue()`
  Default constructor for BckndResourceGetResourcePlansValue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndResourceGetResourcePlansValue.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `BckndResourceGetResourcePlansValue` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndResourceGetResourcePlansValue`.
  `Integer`
  `getProvisioned()`
  Get provisioned
  `Integer`
  `getRequested()`
  Get requested
  `int`
  `hashCode()`
  `BckndResourceGetResourcePlansValue`
  `provisioned(Integer provisioned)`
  Set the provisioned of this `BckndResourceGetResourcePlansValue` instance and return the same instance.
  `BckndResourceGetResourcePlansValue`
  `requested(Integer requested)`
  Set the requested of this `BckndResourceGetResourcePlansValue` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndResourceGetResourcePlansValue` instance.
  `void`
  `setProvisioned(Integer provisioned)`
  Set the provisioned of this `BckndResourceGetResourcePlansValue` instance.
  `void`
  `setRequested(Integer requested)`
  Set the requested of this `BckndResourceGetResourcePlansValue` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndResourceGetResourcePlansValue` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndResourceGetResourcePlansValue

    protected BckndResourceGetResourcePlansValue()
    Default constructor for BckndResourceGetResourcePlansValue.

- ## Method Details

  - ### provisioned

    @Nonnull public BckndResourceGetResourcePlansValue provisioned(@Nonnull Integer provisioned)
    Set the provisioned of this `BckndResourceGetResourcePlansValue` instance and return the same instance.
    Parameters:
      `provisioned` - The provisioned of this `BckndResourceGetResourcePlansValue`
    Returns:
      The same instance of this `BckndResourceGetResourcePlansValue` class

  - ### getProvisioned

    @Nonnull public Integer getProvisioned()
    Get provisioned
    Returns:
      provisioned The provisioned of this `BckndResourceGetResourcePlansValue` instance.

  - ### setProvisioned

    public void setProvisioned(@Nonnull Integer provisioned)
    Set the provisioned of this `BckndResourceGetResourcePlansValue` instance.
    Parameters:
      `provisioned` - The provisioned of this `BckndResourceGetResourcePlansValue`

  - ### requested

    @Nonnull public BckndResourceGetResourcePlansValue requested(@Nonnull Integer requested)
    Set the requested of this `BckndResourceGetResourcePlansValue` instance and return the same instance.
    Parameters:
      `requested` - The requested of this `BckndResourceGetResourcePlansValue`
    Returns:
      The same instance of this `BckndResourceGetResourcePlansValue` class

  - ### getRequested

    @Nonnull public Integer getRequested()
    Get requested
    Returns:
      requested The requested of this `BckndResourceGetResourcePlansValue` instance.

  - ### setRequested

    public void setRequested(@Nonnull Integer requested)
    Set the requested of this `BckndResourceGetResourcePlansValue` instance.
    Parameters:
      `requested` - The requested of this `BckndResourceGetResourcePlansValue`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndResourceGetResourcePlansValue`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndResourceGetResourcePlansValue` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndResourceGetResourcePlansValue` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndResourceGetResourcePlansValue` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndResourceGetResourcePlansValue.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `BckndResourceGetResourcePlansValue` instance with all required arguments.